Bug 658842 - [abrt] claws-mail-3.7.6-1.fc14.1: g_str_hash: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
Summary: [abrt] claws-mail-3.7.6-1.fc14.1: g_str_hash: Process /usr/bin/claws-mail was...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bbd3dee3aa85d8d3cedc0140e73...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 13:07 UTC by Patrick C. F. Ernzer
Modified: 2012-08-16 17:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 17:04:39 UTC


Attachments (Terms of Use)
File: backtrace (18.64 KB, text/plain)
2010-12-01 13:07 UTC, Patrick C. F. Ernzer
no flags Details

Description Patrick C. F. Ernzer 2010-12-01 13:07:45 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: claws-mail
comment: basically, it's the 1st of the month and I was attempting to clean out all the 'mailing list membership reminders'
component: claws-mail
crash_function: g_str_hash
executable: /usr/bin/claws-mail
kernel: 2.6.35.6-48.fc14.x86_64
package: claws-mail-3.7.6-1.fc14.1
rating: 4
reason: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1291208233
uid: 500

How to reproduce
-----
1. delete a message with Delete key
2. while that is being processed, attempt to select multiple messages with keyboard (shift & arrow down)
3. claws-mail becomes unresponsive and finally crashes (after a couple seconds)

Comment 1 Patrick C. F. Ernzer 2010-12-01 13:07:48 UTC
Created attachment 463976 [details]
File: backtrace

Comment 3 Patrick C. F. Ernzer 2011-05-09 13:36:46 UTC
(In reply to comment #2)
> Can you reproduce
[...]

This specific crash is indeed gone with those versions (tried twice to reproduce, all good, no crash). Thanks!

Had another claws crash this morning, I'll push what abrt caught momentarily.

Comment 4 Fedora End Of Life 2012-08-16 17:04:41 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.